# TdApi.AnswerCustomQuery (TDLight API 4.0.458 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: AnswerCustomQuery

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AnswerCustomQuery

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.AnswerCustomQuery

Enclosing class:
  TdApi

public static final class TdApi.AnswerCustomQuery extends TdApi.Function<TdApi.Ok>
Answers a custom query; for bots only.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`long`
`customQueryId`
Identifier of a custom query.
`String`
`data`
JSON-serialized answer to the query.

## Constructor Summary

Constructors
Constructor
Description
`AnswerCustomQuery()`
Answers a custom query; for bots only.
`AnswerCustomQuery(long customQueryId, String data)`
Answers a custom query; for bots only.
`AnswerCustomQuery(DataInput input)`
Answers a custom query; for bots only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### customQueryId

public long customQueryId
Identifier of a custom query.

### data

public String data
JSON-serialized answer to the query.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### AnswerCustomQuery

public AnswerCustomQuery()
Answers a custom query; for bots only.

Returns `Ok`

### AnswerCustomQuery

public AnswerCustomQuery(long customQueryId, String data)
Answers a custom query; for bots only.

Returns `Ok`

Parameters:
  `customQueryId` - Identifier of a custom query.
  `data` - JSON-serialized answer to the query.

  Returns `Ok`

### AnswerCustomQuery

public AnswerCustomQuery(DataInput input) throws IOException
Answers a custom query; for bots only.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`